<img src="images/tildes-wiki-sitemap.png" align="right">

# Tildes Wiki Sitemap

> Generates a `tree`-like [sitemap](https://tildes.net/~tildes/wiki/sitemap) of all group wiki pages of Tildes.net

---

## Usage

Precombiled binaries are not provided, if you can't or don't know how to run this program and the sitemap is outdated please [PM me (@Bauke)](https://tildes.net/user/Bauke/new_message) and I'll update it.

### Quick Command

Only tested on `go1.12.1 linux/amd64`, if something breaks please [create an issue](https://gitlab.com/Bauke/tildes-wiki-sitemap/issues/new).

```sh
$ git clone https://gitlab.com/Bauke/tildes-wiki-sitemap.git
  cd tildes-wiki-sitemap
  go run .
  edit sitemap.md
```

## Attributes

- [Colly](https://github.com/gocolly/colly) (Apache License 2.0)
- [Logrus](https://github.com/Sirupsen/logrus) (MIT License)

## License

Licensed under [AGPL-3.0-or-later](LICENSE).

![AGPL-3.0-or-later Logo](images/license.png)
